ErrorCorrectionLevel (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.qrcode.decoder, enum: ErrorCorrectionLevel

Package com.google.zxing.qrcode.decoder

# Enum ErrorCorrectionLevel

java.lang.Object
java.lang.Enum<ErrorCorrectionLevel>
com.google.zxing.qrcode.decoder.ErrorCorrectionLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<ErrorCorrectionLevel>`, `java.lang.constant.Constable`

public enum ErrorCorrectionLevel extends Enum<ErrorCorrectionLevel>

See ISO 18004:2006, 6.5.1. This enum encapsulates the four error correction levels defined by the QR code standard.

Author:
  Sean Owen

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `H`
  H = ~30% correction
  `L`
  L = ~7% correction
  `M`
  M = ~15% correction
  `Q`
  Q = ~25% correction

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ErrorCorrectionLevel`
  `forBits(int bits)`
  `int`
  `getBits()`
  `static ErrorCorrectionLevel`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ErrorCorrectionLevel[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### L

    public static final ErrorCorrectionLevel L
    L = ~7% correction

  - ### M

    public static final ErrorCorrectionLevel M
    M = ~15% correction

  - ### Q

    public static final ErrorCorrectionLevel Q
    Q = ~25% correction

  - ### H

    public static final ErrorCorrectionLevel H
    H = ~30% correction

- ## Method Details

  - ### values

    public static ErrorCorrectionLevel[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ErrorCorrectionLevel valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getBits

    public int getBits()

  - ### forBits

    public static ErrorCorrectionLevel forBits(int bits)
    Parameters:
      `bits` - int containing the two bits encoding a QR Code's error correction level
    Returns:
      ErrorCorrectionLevel representing the encoded error correction level